var gridManager = null;

$(document).ready(function () {

    loadAcceptanceFormAckGrid();
});

// function initializateUI() {
//     UICtrl.layout("#layout", {leftWidth: 3});
// }

function loadAcceptanceFormAckGrid() {
    var toolbarOptions = UICtrl.getDefaultToolbarOptions({
        updateHandler: function () {
            updateHandler();
        },
    });
    gridManager = UICtrl.grid("#acceptanceFormAckGrid", {
        columns: [
            {display: "验收单业务标记", name: "zacsmk", width: 120, minWidth: 60, type: "string", align: "left",
                editor: {
                    type: "combobox",
                    valueField: "UID",
                    displayField: "Name",
                    multiSelect: true,
                    showCheckIcon: true
                }},
            {display: "验收单财务标记", name: "zacfmk", width: 140, minWidth: 60, type: "string", align: "left"},
            {display: "销售订单", name: "vgbel", width: 140, minWidth: 60, type: "string", align: "left"},
            {display: "销售订单行", name: "vgpos", width: 140, minWidth: 60, type: "string", align: "left"},
            {display: "物料编号", name: "matnr", width: 100, minWidth: 60, type: "string", align: "left"},
            {display: "物料名称", name: "maktx", width: 120, minWidth: 60, type: "string", align: "left"},
            {display: "交货单号", name: "vbeln", width: 120, minWidth: 60, type: "string", align: "left"},
            {display: "交货单项", name: "posnr", width: 120, minWidth: 60, type: "string", align: "left"},
        ],
        dataAction: "server",
        url: web_app.name + '/sapAcceptanceForm/findAcceptanceForm.ajax',
        pageSize: 20,
        usePager: true,
        toolbar: toolbarOptions,
        width: "100%",
        height: "100%",
        heightDiff: -8,
        checkbox: true,
        fixedCellHeight: true,
        selectRowButtonOnly: true,
        onDblClickRow: function (data, rowindex, rowobj) {
            updateHandler(data);
        }
    });
    UICtrl.setSearchAreaToggle(gridManager);
}

function query(obj) {

    let process = $(obj).formToJSON({ check: true });
    if(!process) { return; }

    // $('#taskBar').find('div.ui-grid-query-div').find('input').val('');
    var params = $(obj).formToJSON();
    if(!compareForDate(params.zmkt4, params.zmkt4_end)) {
        $('#zmkt4').val('').onFocus();
        $('#zmkt4_end').val('')
        return;
    }
    if(!compareForDate(params.lfdat, params.lfdat_end)) {
        $('#lfdat').val('').onFocus();
        $('#lfdat_end').val('')
        return;
    }
    // params.singleProcInstShowOneTask = $("#singleProcInstShowOneTask").is(":checked");
    UICtrl.gridSearch(gridManager, params);
}

//日期大小比较
function compareForDate(start,end){
    start=start.replace(/-/g,'').replace(/ /g,'').replace(/:/g,'');
    end=end.replace(/-/g,'').replace(/ /g,'').replace(/:/g,'');
    start=parseInt(start,10);
    end=parseInt(end,10);
    if(isNaN(start)||isNaN(end)){
        return true;
    }
    if(start>end){
        Public.tip('开始时间不能大于结束时间!');
        return false;
    }
    return true;
}

function resetForm(obj) {
    $(obj).formClean();
}

// if(!$("#kunag").val()){
//     Public.tip("请选择输入客户编码！");
//     return;
// }