package com.huigou.topsun.base.bsnMessage.appliction;

import com.huigou.topsun.base.bsnMessage.domain.BsnMessageExecute;
import com.huigou.topsun.base.bsnMessage.domain.BsnMessageReject;
import com.huigou.topsun.base.bsnMessage.domain.BsnMessageSponsor;
import com.huigou.uasp.bmp.bizconfig.model.ObjectKindEnum;

import java.util.List;
import java.util.Map;

public interface BsnMessageApplication {

    String QUERY_XML_FILE_PATH = "config/topsun/base/bsnMessage.xml";


    /**
     * 保存任务
     * @param bsnMessageSponsor
     */
    String keepTasks(BsnMessageSponsor bsnMessageSponsor);

    /**
     * 发布任务
     * @param bId 表单单号
     */
    void publishTasks(String bId);

    /**
     * 保存任务并发布
     */
    void keepAndPublishTasks(BsnMessageSponsor bsnMessageSponsor);

//    /**
//     * 驳回任务
//     */
//    void rejectTasks();

    /**
     * 批准
     */
//    void authorizeTasks();

    /**
     * 任务流转
     */
    Map<String, Object> circulate(String meId);




    /**
     * 获取当前登录用户未完成或被驳回的任务
     * @return 任务执行的详细信息集合
     */
     Map<String,Object> queryExecuteBsnMessage();

    /**
     * 当前登录用户是否以任务发起人的身份发起过任务如果有
     * 且分发到的各单位已完成处理，则返回该任务
     * @return 任务发起的详细信息集合
     */
    List<BsnMessageSponsor> queryFinishBsnMessageSponsor();

    /**
     * 根据任务发布Id，获取该流程下是否所有执行单位已就绪
     * @param msId
     * @return
     */
    BsnMessageExecute isExecutesReady(String msId);


    public void saveBsnMessageSponsor(List<BsnMessageSponsor> all);
    public String saveBsnMessageSponsor(BsnMessageSponsor entity);
    public void saveBsnMessageExecute(List<BsnMessageExecute> all);
    public String saveBsnMessageExecute(BsnMessageExecute entity);
    public void saveBsnMessageReject(List<BsnMessageReject> all);
    public void saveBsnMessageReject(BsnMessageReject entity);

    public void deleteBsnMessageSponsor(BsnMessageSponsor entity);

    /**
     * 根据任务发布id获取旗下任务执行信息
     * @param msId
     * @return
     */
    List<BsnMessageExecute> getExecuteByMsId(String msId);


    BsnMessageExecute getExecuteByMeId(String id);

    /**
     * 根据任务执行id获取驳回信息
     * @param meId
     * @return
     */
    List<BsnMessageReject>  getRejectByMeId(String meId);

    /**
     * 根据表单号获取任务发布信息及其下的执行单位信息
     * @param bid
     * @return
     */
    BsnMessageSponsor getSponsorByBId(String bid);


    /**
     * 获取同一份任务流程的其他执行部门,且排除自己
     * @param meId
     * @return
     */
    List<BsnMessageExecute> getBrotherExecuteByMeId(String meId);
}
