package com.huigou.topsun.sap.acceptanceFormAck.domain;

import java.io.Serializable;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Objects;
import javax.persistence.*;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.huigou.topsun.common.NumberToStringSerializer;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.EqualsBuilder;
import org.apache.commons.lang3.builder.HashCodeBuilder;

/**
 * @author YourUserName
 * null
 */
@JsonInclude(JsonInclude.Include.ALWAYS)
@JsonIgnoreProperties(ignoreUnknown = true)
@Entity
@Table(name = "sap_acceptance_form_ack")
public class SapAcceptanceFormAck implements Serializable {

	/**
	 * null
	 */
	@Id
	@Column(name = "uuid", nullable = false, length = 32)
	private String uuid;

	/**
	 * 交货单
	 */
	@Column(name = "vbeln", nullable = true, length = 32)
	private String vbeln;

	/**
	 * 客户单号
	 */
	@Column(name = "bstnk", nullable = true, length = 32)
	private String bstnk;

	/**
	 * 指令号
	 */
	@Column(name = "zinstnum", nullable = true, length = 32)
	private String zinstnum;

	/**
	 * 客户(售达方)
	 */
	@Column(name = "kunag", nullable = true, length = 120)
	private String kunag;

	/**
	 * 销售组织: 1000: 广州宝绅科技销售组织; 2000: 广州市金库物联销售组织
	 */
	@Column(name = "vkorg", nullable = true, length = 10)
	private String vkorg;

	/**
	 * 业务标记日期
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@Column(name = "zsckdt", nullable = true)
	private java.util.Date zsckdt;

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@Column(name = "zsckdt_end", nullable = true)
	private java.util.Date zsckdtEnd;

	/**
	 * 交货单日期
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@Column(name = "lfdat", nullable = true)
	private java.util.Date lfdat;

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@Column(name = "lfdat_end", nullable = true)
	private java.util.Date lfdatEnd;

	/**
	 * 做账状态(未定): Y: 已做账; N: 未做账
	 */
	@Column(name = "zcors", nullable = true, length = 3)
	private String zcors;

	/**
	 * 客户验收单要求: Y:  要求; N: 不要求
	 */
	@Column(name = "zacrc", nullable = true, length = 3)
	private String zacrc;

	/**
	 * 验收单业务标记
	 */
	@Column(name = "zacsmk", nullable = true, length = 3)
	private String zacsmk;

	/**
	 * 验收单财务标记
	 */
	@Column(name = "zacfmk", nullable = true, length = 3)
	private String zacfmk;

	/**
	 * 销售订单
	 */
	@Column(name = "VGBEL", nullable = true, length = 255)
	private String vgbel;

	/**
	 * 销售订单行
	 */
	@Column(name = "VGPOS", nullable = true, length = 255)
	private String vgpos;

	/**
	 * 物料编号
	 */
	@Column(name = "MATNR", nullable = true, length = 255)
	private String matnr;

	/**
	 * 物料名称
	 */
	@Column(name = "MAKTX", nullable = true, length = 255)
	private String maktx;

	/**
	 * 交货单项
	 */
	@Column(name = "POSNR", nullable = true, length = 255)
	private String posnr;

	/**
	 * 名称 1
	 */
	@Column(name = "NAME1", nullable = true, length = 255)
	private String name1;

	/**
	 * 客户验收单要求
	 */
	@Column(name = "KATR6", nullable = true, length = 255)
	private String katr6;

	/**
	 * 跟单员
	 */
	@Column(name = "ZHDLR", nullable = true, length = 255)
	private String zhdlr;

	/**
	 * 跟单员名字
	 */
	@Column(name = "ZHDNM", nullable = true, length = 255)
	private String zhdnm;

	/**
	 * 验收单业务标记人
	 */
	@Column(name = "ZMKP4", nullable = true, length = 255)
	private String zmkp4;

	/**
	 * 验收单业务标记日期
	 */
	@Column(name = "ZMKT4", nullable = true, length = 255)
	private String zmkt4;

	/**
	 * 客户物料编码
	 */
	@Column(name = "KDMAT", nullable = true, length = 255)
	private String kdmat;

	/**
	 * 客户物料名称
	 */
	@Column(name = "POSTX", nullable = true, length = 255)
	private String postx;

	@Override
	public boolean equals(Object o) {
		if (this == o) { return true; }
		if (o == null || getClass() != o.getClass()) { return false; }
		SapAcceptanceFormAck that = (SapAcceptanceFormAck) o;
		return Objects.equals(uuid, that.uuid) && Objects.equals(vbeln, that.vbeln) && Objects.equals(bstnk, that.bstnk) && Objects.equals(zinstnum, that.zinstnum) && Objects.equals(kunag, that.kunag) && Objects.equals(vkorg, that.vkorg) && Objects.equals(zsckdt, that.zsckdt) && Objects.equals(zsckdtEnd, that.zsckdtEnd) && Objects.equals(lfdat, that.lfdat) && Objects.equals(lfdatEnd, that.lfdatEnd) && Objects.equals(zcors, that.zcors) && Objects.equals(zacrc, that.zacrc) && Objects.equals(zacsmk, that.zacsmk) && Objects.equals(zacfmk, that.zacfmk) && Objects.equals(vgbel, that.vgbel) && Objects.equals(vgpos, that.vgpos) && Objects.equals(matnr, that.matnr) && Objects.equals(maktx, that.maktx) && Objects.equals(posnr, that.posnr) && Objects.equals(name1, that.name1) && Objects.equals(katr6, that.katr6) && Objects.equals(zhdlr, that.zhdlr) && Objects.equals(zhdnm, that.zhdnm) && Objects.equals(zmkp4, that.zmkp4) && Objects.equals(zmkt4, that.zmkt4) && Objects.equals(kdmat, that.kdmat) && Objects.equals(postx, that.postx);
	}

	@Override
	public int hashCode() {
		return Objects.hash(uuid, vbeln, bstnk, zinstnum, kunag, vkorg, zsckdt, zsckdtEnd, lfdat, lfdatEnd, zcors, zacrc, zacsmk, zacfmk, vgbel, vgpos, matnr, maktx, posnr, name1, katr6, zhdlr, zhdnm, zmkp4, zmkt4, kdmat, postx);
	}

	public Date getZsckdtEnd() {
		return zsckdtEnd;
	}

	public void setZsckdtEnd(Date zsckdtEnd) {
		this.zsckdtEnd = zsckdtEnd;
	}

	public Date getLfdatEnd() {
		return lfdatEnd;
	}

	public void setLfdatEnd(Date lfdatEnd) {
		this.lfdatEnd = lfdatEnd;
	}

	public String getUuid() {
		return this.uuid;
	}
	
	public void setUuid(String uuid) {
		this.uuid = uuid;
	}
	
	public String getVbeln() {
		return this.vbeln;
	}
	
	public void setVbeln(String vbeln) {
		this.vbeln = vbeln;
	}
	
	public String getBstnk() {
		return this.bstnk;
	}
	
	public void setBstnk(String bstnk) {
		this.bstnk = bstnk;
	}
	
	public String getZinstnum() {
		return this.zinstnum;
	}
	
	public void setZinstnum(String zinstnum) {
		this.zinstnum = zinstnum;
	}
	
	public String getKunag() {
		return this.kunag;
	}
	
	public void setKunag(String kunag) {
		this.kunag = kunag;
	}
	
	public String getVkorg() {
		return this.vkorg;
	}
	
	public void setVkorg(String vkorg) {
		this.vkorg = vkorg;
	}
	
	public java.util.Date getZsckdt() {
		return this.zsckdt;
	}
	
	public void setZsckdt(java.util.Date zsckdt) {
		this.zsckdt = zsckdt;
	}
	
	public java.util.Date getLfdat() {
		return this.lfdat;
	}
	
	public void setLfdat(java.util.Date lfdat) {
		this.lfdat = lfdat;
	}
	
	public String getZcors() {
		return this.zcors;
	}
	
	public void setZcors(String zcors) {
		this.zcors = zcors;
	}
	
	public String getZacrc() {
		return this.zacrc;
	}
	
	public void setZacrc(String zacrc) {
		this.zacrc = zacrc;
	}
	
	public String getZacsmk() {
		return this.zacsmk;
	}
	
	public void setZacsmk(String zacsmk) {
		this.zacsmk = zacsmk;
	}
	
	public String getZacfmk() {
		return this.zacfmk;
	}
	
	public void setZacfmk(String zacfmk) {
		this.zacfmk = zacfmk;
	}
	
	public String getVgbel() {
		return this.vgbel;
	}
	
	public void setVgbel(String vgbel) {
		this.vgbel = vgbel;
	}
	
	public String getVgpos() {
		return this.vgpos;
	}
	
	public void setVgpos(String vgpos) {
		this.vgpos = vgpos;
	}
	
	public String getMatnr() {
		return this.matnr;
	}
	
	public void setMatnr(String matnr) {
		this.matnr = matnr;
	}
	
	public String getMaktx() {
		return this.maktx;
	}
	
	public void setMaktx(String maktx) {
		this.maktx = maktx;
	}
	
	public String getPosnr() {
		return this.posnr;
	}
	
	public void setPosnr(String posnr) {
		this.posnr = posnr;
	}
	
	public String getName1() {
		return this.name1;
	}
	
	public void setName1(String name1) {
		this.name1 = name1;
	}
	
	public String getKatr6() {
		return this.katr6;
	}
	
	public void setKatr6(String katr6) {
		this.katr6 = katr6;
	}
	
	public String getZhdlr() {
		return this.zhdlr;
	}
	
	public void setZhdlr(String zhdlr) {
		this.zhdlr = zhdlr;
	}
	
	public String getZhdnm() {
		return this.zhdnm;
	}
	
	public void setZhdnm(String zhdnm) {
		this.zhdnm = zhdnm;
	}
	
	public String getZmkp4() {
		return this.zmkp4;
	}
	
	public void setZmkp4(String zmkp4) {
		this.zmkp4 = zmkp4;
	}
	
	public String getZmkt4() {
		return this.zmkt4;
	}
	
	public void setZmkt4(String zmkt4) {
		this.zmkt4 = zmkt4;
	}
	
	public String getKdmat() {
		return this.kdmat;
	}
	
	public void setKdmat(String kdmat) {
		this.kdmat = kdmat;
	}
	
	public String getPostx() {
		return this.postx;
	}
	
	public void setPostx(String postx) {
		this.postx = postx;
	}
}
